org.h2.command.dml

## Class MergeUsing.WhenMatchedThenDelete

- java.lang.Object
- - org.h2.command.dml.MergeUsing.When
  - - org.h2.command.dml.MergeUsing.WhenMatchedThenDelete

All Implemented Interfaces:
  HasSQL

Enclosing class:
  MergeUsing

    public final class MergeUsing.WhenMatchedThenDelete
    extends MergeUsing.When

### Field Summary

### Fields inherited from interface org.h2.util.HasSQL

`ADD_PLAN_INFORMATION, DEFAULT_SQL_FLAGS, NO_CASTS, QUOTE_ONLY_WHEN_REQUIRED, REPLACE_LOBS_FOR_TRACE, TRACE_SQL_FLAGS`

### Constructor Summary

Constructors
Constructor and Description
`WhenMatchedThenDelete()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.StringBuilder` `getSQL(java.lang.StringBuilder builder, int sqlFlags)` Appends the SQL statement of this object to the specified builder.

### Methods inherited from class org.h2.command.dml.MergeUsing.When

`setAndCondition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2.util.HasSQL

`getSQL, getTraceSQL`

### Constructor Detail

#### WhenMatchedThenDelete

    public WhenMatchedThenDelete()

### Method Detail

#### getSQL

    public java.lang.StringBuilder getSQL(java.lang.StringBuilder builder,
                                          int sqlFlags)

Description copied from interface: `HasSQL`
Appends the SQL statement of this object to the specified builder.

Specified by:
  `getSQL` in interface `HasSQL`
Overrides:
  `getSQL` in class `MergeUsing.When`
Parameters:
  `builder` - string builder
  `sqlFlags` - formatting flags
Returns:
  the specified string builder